Bug 1118052 - SELinux: mariadb cannot name_bind to port 4567
Summary: SELinux: mariadb cannot name_bind to port 4567
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 22:10 UTC by Richard Su
Modified: 2014-07-19 05:59 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.12.1-177.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-19 05:59:55 UTC


Attachments (Terms of Use)
audit.log (213.54 KB, text/x-log)
2014-07-09 22:10 UTC, Richard Su
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1339395 None None None Never

Description Richard Su 2014-07-09 22:10:47 UTC
Created attachment 916959 [details]
audit.log

Description of problem:
Port 4567 is used for clustering. mariadb should be allowed to use this port. 

Version-Release number of selected component (if applicable):
selinux-policy-3.12.1-176.fc20.noarch
selinux-policy-targeted-3.12.1-176.fc20.noarch
mariadb-5.5.37-1.fc20.x86_64
mariadb-devel-5.5.37-1.fc20.x86_64
mariadb-galera-common-5.5.37-2.fc20.x86_64
mariadb-galera-server-5.5.37-2.fc20.x86_64
mariadb-libs-5.5.37-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure mariadb galera to run in clustering mode. Start up mariadb.

Actual results:
mariadb fails to start

Expected results:
mariadb should start 

Additional info:
type=AVC msg=audit(1404782160.637:142): avc:  denied  { name_bind } for  pid=2877 comm="mysqld" src=4567 scontext=system_u:system_r:mysqld_t:s0 tcontext=system_u:object_r:tram_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1404782160.637:142): arch=c000003e syscall=49 success=no exit=-13 a0=b a1=7fff2cc7d5d0 a2=10 a3=7fff2cc7d3f0 items=0 ppid=2173 pid=2877 auid=4294967295 uid=27 gid=27 euid=27 suid=27 fsuid=27 egid=27 sgid=27 fsgid=27 tty=(none) ses=4294967295 comm="mysqld" exe="/usr/libexec/mysqld" subj=system_u:system_r:mysqld_t:s0 key=(null)

Comment 1 Richard Su 2014-07-09 22:12:48 UTC
Related to bug 1081544

Comment 3 Lukas Vrabec 2014-07-10 11:17:20 UTC
commit 04a3c0a4e989ab7641870295cc0c0daaa2aa3bdd
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jul 10 13:15:18 2014 +0200

    Allow mysqld to bind and connect to tram port BZ #1118052

Comment 4 Fedora Update System 2014-07-15 09:42:34 UTC
selinux-policy-3.12.1-177.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-177.fc20

Comment 5 Fedora Update System 2014-07-17 04:28:58 UTC
Package selinux-policy-3.12.1-177.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-177.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8390/selinux-policy-3.12.1-177.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-07-19 05:59:55 UTC
selinux-policy-3.12.1-177.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.